<?php
/* 
Plugin Name: WP Select Box Navi
Version: 0.2
Plugin URI: http://www.wordpress.guesmo.com
Description: This Plugin adds an select box navigation and font size support for mobile devices to your WordPress template.
Author: guesmo
Licenc:  MIT
*/ 

// REGISTER & ENQUEUE TINYNAV JAVASCRIPT

function register_tiny() {
   wp_register_script(
     'tiny',                         // Erforderlich: Name
	 plugins_url('/js/tinynav.min.js', __FILE__),
      array('jquery'),                          // Optional: Abh�ngigkeiten, hier jQuery
      '1.0',                                    // Optional: Version
      false                                     // Optional: Im Footer starten?
    );
}
add_action('init', 'register_tiny');

function enqueue_my_scripts(){
  wp_enqueue_script('tiny');          // Name des Skripts
}
add_action('wp_print_scripts', 'enqueue_my_scripts');

function register_tinyopt() {
   wp_register_script(
     'tinyopt',                         // Erforderlich: Name
	 plugins_url('/js/tinynav-option.js', __FILE__),
      array('jquery'),                          // Optional: Abh�ngigkeiten, hier jQuery
      '1.0',                                    // Optional: Version
      false                                     // Optional: Im Footer starten?
    );
}
add_action('init', 'register_tinyopt');

function enqueue_tinyopt(){
  wp_enqueue_script('tinyopt');          // Name des Skripts
}
add_action('wp_print_scripts', 'enqueue_tinyopt');

//////////////////////////////////////////////////
// Adding meta tag for using device font size 
// to wp_head
//////////////////////////////////////////////////
function my_function()
{
echo '<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />';

}

add_action('wp_head', 'my_function');

//////////////////////////////////////////////////
// Removes the div from wp_nav_menu() and replace 
// with ul
//////////////////////////////////////////////////
function tn_remove_wp_nav_menu($pageMarkup) {
    return preg_replace(
        '~<ul id="([a-z0-9-_]+)" class="menu">~im',
        '<ul id="$1" class="nav">',
        $pageMarkup
    );
}

add_filter('wp_nav_menu', 'tn_remove_wp_nav_menu');

	
//////////////////////////////////////////////////
// Removes the div from wp_page_menu() and 
// replace with ul
//////////////////////////////////////////////////
function tn_remove_wp_page_menu($pageMarkup) {
    return preg_replace(
        '~<ul>~im',
        '<ul class="nav">',
        $pageMarkup
    );
}

add_filter('wp_page_menu', 'tn_remove_wp_page_menu');


//////////////////////////////////////////////////
// Removes the div from wp_list_pages() and 
// replace with ul
//////////////////////////////////////////////////
function tn_remove_wp_list_pages($pageMarkup) {
    return '<ul class="nav">' . $pageMarkup . '</ul>';
}

add_filter('wp_list_pages', 'tn_remove_wp_list_pages');


//////////////////////////////////////////////////
// Removes the div from wp_list_categories() and 
// replace with ul
//////////////////////////////////////////////////
function tn_remove_wp_list_categories($pageMarkup) {
    return '<ul class="nav">' . $pageMarkup . '</ul>';
}
add_filter('wp_list_categories', 'tn_remove_wp_list_categories');
?>
